.search_title {
    /*font-size: 40px;*/
    /*line-height: 115%;*/

    margin: 40px 0 0 0;
}

/* строка поиска */
.search_wrap {
    position: relative;
    width: 100%;
    /*height: 48px;*/
    display: flex;
    align-content: stretch;
    margin: 24px 0 40px 0;
}

.search_input {
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    width: calc(100% - 184px);
    height: 48px;
    background: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0.16);
    border-right: none;
    border-radius: 4px 0 0 4px;
    padding: 14px 66px 14px 24px;
    outline: none;

    font-family: 'Raleway', sans-serif;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0.02em;
    color: #000000;
}

.search_input:focus {
    border: 1px solid #9574E4;
}

.search_settings_icon {
    position: absolute;
    top: 50%;
    right: 184px;
    transform: translateY(-50%);
    z-index: 2;
    cursor: pointer;
    padding: 13px 24px;
    transition: all 0.2s;
}

.search_settings_icon._mobile {
    display: none;
}

.search_settings_icon:hover {
    background-color: #ddd;
}

.search_btn {
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    width: 184px;
    background: #8368C2;
    border-radius: 0 4px 4px 0;
    /*outline: none;*/
    border: none;
    cursor: pointer;

    font-family: 'Raleway', sans-serif;
    font-weight: bold;
    font-size: 16px;
    line-height: 19px;
    text-align: center;
    letter-spacing: 0.02em;
    color: #FFFFFF;
    transition: all 0.2s;
}

.search_btn:hover {
    background: #573c96;
}

.search_btn_mobile {
    display: none;
    padding: 10px 16px;
    height: calc(100% - 2px);
    position: absolute;
    left: 1px;
    top: 50%;
    z-index: 2;
    transform: translateY(-50%);
    cursor: pointer;
    background: none;
    outline: none;
    border: none;
    transition: all 0.2s;
    align-items: center;
    justify-content: center;
}

.search_btn_mobile:hover {
    background: #ddd;
}

.search_btn_mobile svg path{
    fill: #9574E4;
}


/* меню настройки поиска */
.search_settings_menu_back {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 15;
    width: 100vw;
    height: 100vh;
}

.search_settings_menu {
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    position: absolute;
    top: 0;
    right: 184px;
    z-index: 3;
    display: flex;
    /*display: none;*/
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;

    width: 288px;
    background: #FFFFFF;
    border: 1px solid rgba(0, 0, 0, 0.16);
    border-radius: 4px;
    padding: 16px 16px 23px 20px;
    overflow: hidden;
    visibility: hidden;
    opacity: 1;
    transform: translateX(0);
    transition: all .2s;
}

.search_settings_left {
    max-width: 220px;
}

.search_settings_close {
    width: 20px;
    height: 20px;
    cursor: pointer;
    margin-left: 8px;
    transition: background-color 0.1s;
}

.search_settings_close:hover {
    background-color: #ddd;
}

.search_settings_close._mobile {
    display: none;
}

.search_by {

}

.search_among {
    margin-top: 24px;
}

.search_settings_title {
    font-weight: bold;
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0.02em;
    color: #000000;
    margin-bottom: 16px;
    word-break: break-word;
}

/* checkbox */
.search_settings_label {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    margin-bottom: 8px;
}

.search_settings_label > input {
    display: none;
}

.search_fake_checkbox {
    box-sizing: border-box;
    -moz-box-sizing: border-box;

    display: inline-block;
    width: 18px;
    height: 18px;
    min-width: 18px;
    min-height: 18px;
    background: #FFFFFF;

    transition: all .2s;
    position: relative;
}

.search_fake_checkbox::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
    width: 14px;
    height: 14px;
    border: 1px solid #000000;
    opacity: 0.4;

    box-sizing: border-box;
    -moz-box-sizing: border-box;
}

.search_settings_label > input:checked ~ .search_fake_checkbox::before {
    border: none;
    background-color: #8368C2;
    background-image: url("../icons/search/checkbox.svg");
    background-repeat: no-repeat;
    background-position: center;
    opacity: 1;
}

.search_settings_label > input:checked ~ .search_checkbox_text {
    opacity: 1;
}

.search_fake_checkbox img {
    display: none;
}

.search_checkbox_text {
    font-weight: normal;
    font-size: 15px;
    line-height: 17px;
    letter-spacing: 0.01em;
    color: #000000;
    opacity: 0.4;
    cursor: pointer;
    word-break: break-word;
    /*padding-top: 1px;*/
    /*padding-bottom: 3px;*/
    margin-left: 11px;
    /*margin-top: -3px;*/
}


/* результаты поиска */
.search_result_section {
    margin-bottom: 40px;
}

.search_result_section:last-child {
    margin-bottom: 0;
}

.search_result_text {
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0.02em;
    color: #000000;
    opacity: 0.4;
}

/*.search_container {*/
/*    max-width: 936px;*/
/*    width: 936px;*/
/*}*/

.search_result_title {
    font-style: normal;
    font-weight: bold;
    font-size: 24px;
    line-height: 28px;
    letter-spacing: 0.01em;
    color: #000000;

    word-break: break-word;
    margin: 0 0 32px 0;
}


/* общие стили результатов поиска */
.search_block {
    position: relative;
}

.search_items_wrap {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    /*justify-content: space-between;*/

    margin-right: -24px;
}

.show_all_link {
    font-weight: 300;
    font-size: 14px;
    line-height: 16px;
    text-align: right;
    letter-spacing: 0.01em;
    color: rgba(0, 0, 0, 0.32);
    text-decoration: none;

    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 2;
    /*padding-right: 10px;*/
}

.show_all_link::after {
    content: "";
    display: inline-block;
    width: 5px;
    height: 5px;

    /*position: absolute;*/
    /*right: 0;*/
    /*top: 50%;*/
    margin-bottom: 1px;
    margin-left: 9px;
    border-top: 2px solid rgba(0, 0, 0, 0.32);
    border-right: 2px solid rgba(0, 0, 0, 0.32);
    transform: rotate(45deg);
}

.show_all_link:hover {
    text-decoration: underline;
}

.search_item {
    display: flex;
    flex-direction: row;
    /*align-items: flex-start;*/
    /*margin-right: 104px;*/
    /*width: 392px;*/
    flex: 0 1 calc(33.33333% - 24px);
    margin-right: 24px;
    margin-bottom: 40px;
}

.search_item_info {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}


/* новости */

/*.search_result_title.search_news {*/
/*    margin: 32px 0;*/
/*}*/

.search_news_wrap {
    /*flex-wrap: nowrap;*/
    /*padding-right: 87px;*/
    justify-content: flex-start;
    /*margin-right: 0;*/
    /*margin: 0 -16px -16px;*/
}

.search_item_news {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    /*margin: 0 16px 16px;*/
    /*flex: 1 1 calc(50% - 16px);*/
    flex: 0 1 calc(50% - 24px);
    padding-right: 87px;
    /*margin-bottom: 32px;*/
    /*margin-right: 0;*/

    /*width: 513px;*/
}

.search_news_img {
    min-width: 152px;
    width: 152px;
    min-height: 152px;
    height: 152px;
    object-fit: cover;
    margin-right: 24px;
}

.search_news_date {
    font-weight: normal;
    font-size: 14px;
    line-height: 16px;
    color: #000000;
    opacity: 0.32;
}

.search_news_description {
    font-weight: 600;
    font-size: 20px;
    line-height: 110%;
    letter-spacing: 0.02em;
    color: #000000;

    padding-top: 10px;
    margin: 0;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;

    text-overflow: ellipsis;
    white-space: normal;
    max-height: 112px;
}

.search_news_type {
    -webkit-line-clamp: 2;
    line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;

    font-weight: normal;
    font-size: 14px;
    line-height: 16px;
    letter-spacing: 0.01em;
    color: #000000;
    opacity: 0.32;
    margin-top: 8px;
}

.search_news_more {
    margin-top: auto;
}

.search_news_more a {
    font-family: 'Raleway', sans-serif;
    font-style: normal;
    font-weight: 600;
    font-size: 12px;
    line-height: 110%;
    letter-spacing: 0.03em;
    text-decoration-line: underline;
    color: #000000;
}


/* объявления */
.search_item_ads {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.search_ad_date {
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    display: flex;
    flex-direction: column;
    align-items: center;
    align-content: center;

    width: 48px;
    height: 48px;
    min-width: 48px;
    min-height: 48px;

    text-align: center;
    color: rgba(0, 0, 0, 0.32);
    padding: 6px 10px;
    margin-right: 24px;
}

.search_ad_day {
    font-weight: bold;
    font-size: 22px;
    line-height: 110%;
    font-feature-settings: 'pnum' on, 'lnum' on;
}

.search_ad_month {
    font-weight: 600;
    font-size: 12px;
    line-height: 110%;
    letter-spacing: 0.02em;
    font-feature-settings: 'pnum' on, 'lnum' on;
}

.search_ad_title {
    margin: 0;
    -webkit-line-clamp: 3;
    line-clamp: 3;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-decoration: none;

    font-weight: normal;
    font-size: 18px;
    line-height: 140%;
    align-items: center;
    letter-spacing: 0.01em;
    color: #000000;
}

.search_ad_title:hover {
    text-decoration: underline;
}

.search_ad_text {
    -webkit-line-clamp: 2;
    line-clamp: 2;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;

    font-weight: normal;
    font-size: 12px;
    line-height: 140%;
    letter-spacing: 0.03em;
    color: #000000;
    opacity: 0.64;
    margin-top: 16px;
}

/* Конкурсы и гранты */
.search_contests {
    margin-top: 24px;
}

.search_item_contests {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
}

.search_contests_date_wrap {
    -moz-box-sizing: border-box;
    box-sizing: border-box;

    display: flex;
    flex-direction: row;
    align-items: center;
    /*justify-content: space-between;*/
    min-width: 80px;
    padding: 9px;
    margin-right: 24px;
    border-radius: 2px;

    font-family: Gilroy;
    font-style: normal;
    font-weight: 800;
    font-size: 14px;
    line-height: 100%;
    text-align: center;
    letter-spacing: 0.04em;
    color: #FFF;
    background: #000;
    font-feature-settings: 'pnum' on, 'lnum' on;
    word-break: keep-all;
    justify-content: center;
}

.search_contest_type {
    font-weight: normal;
    font-size: 16px;
    line-height: 19px;
    letter-spacing: 0.01em;
    color: #000000;
    opacity: 0.4;
    word-break: break-word;
}

.search_contest_title {
    -webkit-line-clamp: 4;
    line-clamp: 4;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-decoration: none;

    font-weight: 500;
    font-size: 16px;
    line-height: 150%;
    color: #000000;
    margin-top: 8px;
}

.search_contest_title:hover {
    text-decoration: underline;
}


/*===================  Адаптив  =======================*/

@media (max-width: 1050px) {
    .search_item_news {
        padding-right: 0;
    }
}

@media (max-width: 990px) {

}

@media (max-width: 880px) {

    .search_item {
        margin-bottom: 16px;
        flex-basis: calc(50% - 24px);
    }

    .search_item:last-child {
        margin-bottom: 40px;
    }

}

@media (max-width: 768px) {

    .search_input {
        width: calc(100% - 152px);
    }

    .search_settings_icon:not(._mobile) {
        display: none;
    }

    .search_settings_icon._mobile {
        display: block;
        right: 152px;
    }

    .search_btn {
        width: 152px;
    }

    .search_settings_menu_back {
    }

    .search_settings_menu {
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;

        position: fixed;
        top: 0;
        right: 0;
        z-index: 20;
        visibility: visible;
        opacity: 1;
        border: none;
        box-shadow: 0 0 16px rgba(0, 0, 0, 0.16);
        border-radius: 0;
        width: 263px;
        height: 100vh;
        padding-top: 104px;
        transform: translateX(100%);
    }

    .search_settings_close:not(_mobile) {
        display: none;
    }

    .search_settings_close._mobile {
        position: absolute;
        right: 44px;
        top: 32px;
        display: block;
        width: 32px;
        height: 32px;
    }


    .search_result_title {
        font-size: 20px;
        line-height: 23px;
        margin-bottom: 24px;
    }


    .search_item_news {
        flex-basis: 100%;
        flex-grow: 1;
    }

    .search_news_date {
        font-size: 12px;
        line-height: 14px;
    }

    .search_news_description {
        font-size: 16px;
        line-height: 21px;
        padding-top: 8px;
    }

    .search_news_type {
        font-size: 14px;
        line-height: 16px;
    }


    .search_ad_title {
        font-size: 16px;
    }

    .search_contests_date_wrap {
        font-size: 12px;
        min-width: 64px;
        padding: 10px 6px;
    }

    .search_contest_type {
        font-size: 14px;
        line-height: 16px;
    }
}



@media (max-width: 640px) {

    .search_item {
        flex-basis: 100%;
    }

    .search_btn {
        display: none;
    }

    .search_input {
        width: 100%;
        border-right: 1px solid rgba(0, 0, 0, 0.16);
        border-radius: 4px;
        padding: 11px 50px 11px 55px;
        height: 40px;
    }

    .search_settings_icon._mobile {
        right: 1px;
        padding: 9px 16px;
        border-radius: 0 4px 4px 0;
    }

    .search_btn_mobile {
        display: flex;
        padding: 13px 16px;
        border-radius: 4px 0 0 4px;
    }

}


/*@media (min-width: 768px) {*/
/*    .search_settings_menu_back {*/
/*        display: none !important;*/
/*    }*/
/*}*/

@media (max-width: 605px) {}

@media (max-width: 425px) {

    .search_ad_date {
        margin-right: 16px;
    }


    .search_contests_date_wrap {
        margin-right: 16px;
    }

}

@media (max-width: 375px) {}

@media (max-width: 320px) {}
